/*
 *    snake, a videogame derived from Q-Basic nibbles
 *    Copyright (C) 1999-2000 Cyberandro J.K. Starrik
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#include "snake.h"
#include <stdlib.h>

/* prototypes */
int arenaput (int y, int x, sprite * sp);
sprite *arenaget (int y, int x);
int arenalines (void);
int arenacols (void);
int arenainit (int cols, int lines);

/* private data */
static sprite **_arena;
static int _arenacols, _arenalines;
static int _arenainit = 0;


int
arenainit (int lines, int cols)
{
  if (_arenainit)		/* already initialized */
    {
      fprintf (stderr, "Arena already initialized\n");
      return 0;
    }

  _arenainit = 1;

  _arena = malloc (lines * cols * sizeof (sprite));
  if (!_arena)			/* out of virtual memory */
    {
      fprintf (stderr, "Out of virtual memory!\n");
      return 0;
    }

  _arenacols = cols;
  _arenalines = lines;

  return 1;
}

int
arenalines ()
{
  return _arenalines;
}

int
arenacols ()
{
  return _arenacols;
}

sprite *
arenaget (int y, int x)
{
/*
	if ( y >= _arenalines || y < 0 ) return NULL;
	if ( x >= _arenacols  || x < 0 ) return NULL;
*/
  return _arena[y * _arenacols + x];
}

int
arenaput (int y, int x, sprite * sp)
{
/*
	if ( y >= _arenalines || y < 0 ) return 0;
	if ( x >= _arenacols  || x < 0 ) return 0;
*/
  _arena[y * _arenacols + x] = sp;
  return 1;
}
