/*
 *    snake, a videogame derived from Q-Basic nibbles
 *    Copyright (C) 1999-2000 Cyberandro J.K. Starrik
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#include "snake.h"

/* kill a snake */
void
snake_kill (snake * s)
{
#ifdef QUIT_ON_LAST_DEATH
  int i, onealive = 0;
#endif
  snakebody *ptr;

  /* mark it dead */
  s->died = 1;

  /* make its body EXSNAKE sprites */
  for (ptr = s->head; ptr != NULL; ptr = ptr->next)
    {
      ptr->type = EXSNAKE;
    }

  beep ();			/* beeeep */

#ifdef QUIT_ON_LAST_DEATH
  for (i = 0; zoo[i]; i++)
    if (!zoo[i]->died)
      onealive = 1;
  if (!onealive)
    {
      draw_arena ();
      updatescreen ();
      finish ();
    }
#endif
}
