/*
 *    snake, a videogame derived from Q-Basic nibbles
 *    Copyright (C) 1999-2000 Cyberandro J.K. Starrik
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#include "snake.h"
#include <string.h>
#include <stdarg.h>
#include <stdio.h>

#define MESSAGE_TIMEOUT 25;

/* public functions */
void message (char *format, ...);
void expire_messages (void);

/* private data */
static int timer;

void
message (char *format, ...)
{
  char str[40];
  va_list ap;

  va_start (ap, format);

  vsnprintf (str, 39, format, ap);

  draw_message (str);

  timer = MESSAGE_TIMEOUT;
}

/* expire message */
void
expire_messages ()
{
  if (timer && !--timer)
    draw_message ("");
}
