/*
 *    snake, a videogame derived from Q-Basic nibbles
 *    Copyright (C) 1999-2000 Cyberandro J.K. Starrik
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#include "snake.h"

/* public data */
int typein;

/* extern functions */
extern void lower_delay (void);
extern void higher_delay (void);
extern void mini_menu (void);
extern void updatescreen (void);


/* parse user input */
int
parse_input ()
{

  /* get a character */
  typein = getch ();

  /* return immediatly if no input is waiting */
  if (typein == ERR)
    return 1;

  switch (typein)
    {
      /* quit on 'q' */
    case 'q':
      finish ();

      /* higher delay if '-' (lower speed) */
    case '-':
      higher_delay ();
      break;

      /* lower delay if '+' (higher speed)  */
    case '=':
    case '+':
      lower_delay ();
      break;

      /* show menu */
    case ' ':
      mini_menu ();
      break;

      /* nothing to do by default */
    default:
      break;
    }

  return 1;
}
