/*
 *    snake, a videogame derived from Q-Basic nibbles
 *    Copyright (C) 1999-2000 Cyberandro J.K. Starrik
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#include "snake.h"
#include <stdlib.h>		/* free... */

/* pubblic function */
void snake_trim (snake *);

sprite exsnake = {
  EXSNAKE,
  {0},
};

/* trim a snake */
void
snake_trim (snake * s)
{
  snakebody *ptr, *oldptr;

  /* clean up the snake screen (?is this needed?)
   * free memory used by the body */
  ptr = s->head->next;
  while (ptr)
    {
      oldptr = ptr;
      ptr = ptr->next;
      ARENAPUT (oldptr->cell.y, oldptr->cell.x, &exsnake);
      free (oldptr);
    }

  /* reset length */
  s->length = 1;

  /* set tail */
  s->tail = s->head;

  /* link to NULL */
  s->head->next = NULL;
  s->head->prev = NULL;
}
